/***************************************************************************
                          listenterdialog.h  -  description
                             -------------------
    begin                : Tue Feb 1 2000
    copyright            : (C) 2000 by Frank von Daak
    email                : frank.fun@skydsl.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef LISTENTERDIALOG_H
#define LISTENTERDIALOG_H

#include <klocale.h>
#include <kiconloader.h>

#include <qwidget.h>
#include <qdialog.h>
#include <qframe.h>
#include <qscrollbar.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <qfont.h>
#include <qcombobox.h>
#include <qmessagebox.h>
#include <qcheckbox.h>
#include <qtooltip.h>
#include <qstrlist.h>

#include "mylineedit.h"
/**
  *@author Frank von Daak
  */

class ListEnterDialog : public QDialog  {
   Q_OBJECT

public:
	ListEnterDialog(QWidget * parent=0, const char * name=0, bool modal=FALSE, WFlags f=0);
	~ListEnterDialog();

	QFrame *enterFrame, *enter2Frame, *butFrame;
	QScrollBar *enterScroll;
	QPushButton *cancelBut, *applyBut, *addBut, *rmBut, *rmallBut, *helpBut;
	QLabel *infoLab, *test1, *test2;
	QComboBox *protChoose[200];
	QCheckBox *ftpBox[200];
	MyLineEdit *siteLine[200];
	int ypos[200], addNum;
	bool tooMuch;

	void createLines(int);
	void rmAllCancel();
	QString getProt(QString, int);
	void resizeEvent( QResizeEvent *);

private:
	void addSite(bool);

private slots:
	void resizeEnterFrame(int);
	void rmAll();
	void cancelApp();
	void closeEvent( QCloseEvent *);
	void getTextFocus();
	void enableAnon(int);
	void showHelp();

public slots:
	void rmLast();
	void addSite();
	void getDropList(QStrList);
	void changeDropProt(QString);

signals:
	void canceled();
};

#endif